Subject: [bug#60358] [PATCH] gnu: Add gnulib.

From: Simon Josefsson <[email-masked]>
Date: Thu, 29 Dec 2022 16:56:17 +0100

Simon Josefsson via Guix-patches via <[email-masked]> writes:

> Doesn't 'git archive' produce a reproducible output from a git
> repository for a particular branch and commit?

Sorry, git-archive that doesn't include the .git/ sub-directory, so
that's not the command you want.  I don't know what command you would
use.  I reckon it should be a git clone, check out a particular commit,
reset the branch to that commit, filtering away all other branches, and
then do 'git gc --aggresive --prune=now'.  If that produces
unreproducable results for other unrelated changes to the repository, it
would be nice to know how to get rid of them.

/Simon